Security vulnerability patch impacts debugging

October 31, 2016
Carter, Conte, Hammer, Radon, Rice, Snyder

Due to a recently found vulnerability in the Linux Kernel (known as the Dirty-COW vulnerability), an emergency patch has been applied on the cluster nodes. This patch is necessary to avoid exploitation of the vulnerability. Unfortunately, the patch impacts/disables the Linux kernel's "ptrace" functionality. Tools that use "ptrace" (including Totalview and Intel vTune) are affected by this.

A complete fix of the vulnerability will require an upgrade of the Operating System on the cluster nodes. We are currently working on scheduling a downtime for the clusters to perform this upgrade.

Originally posted: October 31, 2016  10:17am